GlueGen: com.jogamp.gluegen.cgram.types.EnumType.Enumerator Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.cgram.types.EnumType.Enumerator Class Reference
Inheritance diagram for com.jogamp.gluegen.cgram.types.EnumType.Enumerator:
Collaboration diagram for com.jogamp.gluegen.cgram.types.EnumType.Enumerator:

## Public Member Functions

| Enumerator (final String name, final long value)
| Enumerator (final String name, final CNumber number)
| Enumerator (final String name, final String value)
String | getName ()
String | getExpr ()
CNumber | getNumber ()
boolean | hasNumber ()
int | hashCode ()
boolean | equals (final Object arg)
int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...
String | toString ()
int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...

## Detailed Description

Definition at line 56 of file EnumType.java.

## Constructor & Destructor Documentation

## ◆ Enumerator() [1/3]

com.jogamp.gluegen.cgram.types.EnumType.Enumerator.Enumerator | ( | final String | name,
|  | final long | value
| ) |  |

Definition at line 61 of file EnumType.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Enumerator() [2/3]

com.jogamp.gluegen.cgram.types.EnumType.Enumerator.Enumerator | ( | final String | name,
|  | final CNumber | number
| ) |  |

Definition at line 66 of file EnumType.java.

Here is the call graph for this function:

## ◆ Enumerator() [3/3]

com.jogamp.gluegen.cgram.types.EnumType.Enumerator.Enumerator | ( | final String | name,
|  | final String | value
| ) |  |

Definition at line 71 of file EnumType.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ equals()

boolean com.jogamp.gluegen.cgram.types.EnumType.Enumerator.equals | ( | final Object | arg | ) |

Definition at line 90 of file EnumType.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ equalSemantics()

boolean com.jogamp.gluegen.cgram.types.EnumType.Enumerator.equalSemantics | ( | final SemanticEqualityOp | arg | ) |

Semantic equality test for Types exclusive its given `name`.

See also
  hashCodeSemantics()

Implements com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp.

Definition at line 107 of file EnumType.java.

Here is the call graph for this function:

## ◆ getExpr()

String com.jogamp.gluegen.cgram.types.EnumType.Enumerator.getExpr | ( |  | ) |

Definition at line 78 of file EnumType.java.

Here is the caller graph for this function:

## ◆ getName()

String com.jogamp.gluegen.cgram.types.EnumType.Enumerator.getName | ( |  | ) |

Definition at line 77 of file EnumType.java.

Here is the caller graph for this function:

## ◆ getNumber()

CNumber com.jogamp.gluegen.cgram.types.EnumType.Enumerator.getNumber | ( |  | ) |

Definition at line 79 of file EnumType.java.

Here is the caller graph for this function:

## ◆ hashCode()

int com.jogamp.gluegen.cgram.types.EnumType.Enumerator.hashCode | ( |  | ) |

Definition at line 83 of file EnumType.java.

Here is the caller graph for this function:

## ◆ hashCodeSemantics()

int com.jogamp.gluegen.cgram.types.EnumType.Enumerator.hashCodeSemantics | ( |  | ) |

Semantic hashcode for Types exclusive its given `name`.

See also
  equalSemantics(SemanticEqualityOp)

Implements com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp.

Definition at line 102 of file EnumType.java.

Here is the call graph for this function:

## ◆ hasNumber()

boolean com.jogamp.gluegen.cgram.types.EnumType.Enumerator.hasNumber | ( |  | ) |

Definition at line 80 of file EnumType.java.

## ◆ toString()

String com.jogamp.gluegen.cgram.types.EnumType.Enumerator.toString | ( |  | ) |

Definition at line 112 of file EnumType.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/types/EnumType.java